Skip to main content
GET
Retrieve multi-channel advertising product performance

Authorizations

x-api-key
string
header
required

Query Parameters

channelId
string[]
required

Channel ID. Repeat the parameter for multiple channels (max 5).

productSku
string[]

Filter to the given product(s) by their normalised product identifier — an ASIN on Amazon, or the equivalent product identifier the channel's platform uses. Repeatable (max 10).

fromDate
integer

Start of date range as unix epoch seconds. Defaults to 30 days ago.

toDate
integer

End of date range as unix epoch seconds. Defaults to now. The range must not exceed 6 months.

currency
string

3-letter ISO currency code (default USD).

sortKey
enum<string>
default:product_sku

Response column to sort by (default product_sku).

Available options:
channel_id,
product_sku,
impressions,
clicks,
cost,
attributed_sales,
attributed_sales_same_sku,
attributed_conversions,
attributed_conversions_same_sku,
attributed_units_ordered,
attributed_units_ordered_same_sku,
acos,
click_through_rate,
cost_per_click,
conversion_rate,
roas
sortOrder
enum<string>

Sort direction (default desc).

Available options:
asc,
desc
pageIndex
integer
default:0

Zero-based page index (default 0).

Required range: x >= 0
pageSize
integer
default:10

Number of products per page, max 100 (default 10).

Required range: 1 <= x <= 100

Response

Successful operation

data
object[]
pagination
object
meta
object